# Improving the interoperability of the core intrinsically disordered protein (IDP) resource

**Project Number:** 20

## Research area alignment

- ELIXIR New Community Intrinsically Disordered Proteins
 ELIXIR data platform

## Team

**Submitter:** Norman Davey

### Proponent(s)

- Norman Davey

### Lead(s)

- Norman Davey, Institute for Cancer Research, London, UK

 Damiano Piovesan, Dept. of Biomedical Sciences, University of Padua, Italy


### Nominated participant(s)

- Norman Davey, Institute for Cancer Research, London, UK

 Lead developer of the Minimum Information About Disorder Experiments (MIADE) standard for IDP data dissemination.
 
 Damiano Piovesan, Dept. of Biomedical Sciences, University of Padua, Italy

 Lead developer of the DisProt database of IDP data
 
 Cy Jefferies, EMBL Hamburg, Germany
 
 Lead developer of the SASBDB database of SAX data

## Expected outcomes

- The project will have the following outcomes:
 - A set of rules for the structural classification of the raw data stored in each experimental method specific data repositories.
 - RESTful APIs for each resource to distribute structural classification data using a standardised dissemination formats based on the Minimum Information About Disorder Experiments (MIADE) standard. 
 - Cross-links between the resources to improve the visibility of the complementary data in each resource.
 - A single RESTful API portal aggregating and distributing the structural classification level IDP data to streamline the integration of IDP data into the ELIXIR core data resources.

## Expected audience

- Database developers - developers from the core data repositories in the IDP field.
 Experimentalist in IDP structural field - data producers for each of the experimental approaches tackled in the project.
 Standards experts - researchers with a background in the development of dissemination standards.
 FAIR experts - researchers with an understanding of FAIR approaches to data storage and dissemination.
 Programmers - coders with an interest in RESTful APIs, storage/dissemination standards and data FAIRification.

**Number of expected hacking days**: 4

