# FAIR Identifier Mapping: Building Bridges Between Communities

[![Join the chat at https://gitter.im/elixir-europe/27-FAIR-identifiers](https://badges.gitter.im/elixir-europe/27-FAIR-identifiers.svg)](https://gitter.im/elixir-europe/27-FAIR-identifiers?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

**Project Number:** 27

## Research area alignment

- Interoperability, Data
 Rare Disease, Metabolomics, but relevant for all Communities

## Team

**Submitter:** Denise Slenter

### Proponent

- Denise Slenter

### Leads

- Denise Slenter
- Egon Willighagen ([@egonw](https://github.com/egonw))
- Alasdair Gray

### Nominated participants

- Emma Schymanski ([@schymane](https://github.com/schymane)) - Luxembourg Centre for Systems Biomedicine -, Metabolomics and Toxicology expert, and provider of specific use case + data

## Expected outcomes

- Improve the FAIR metrics of [existing BridgeDb ID mapping databases](https://www.bridgedb.org/mapping-databases/) ([issue 27](https://github.com/elixir-europe/BioHackathon-projects-2019/issues/27))
- Automation of generation of Scientific Lenses for chemical compounds (see [10.1007/978-3-319-11964-9_7](https://doi.org/10.1007/978-3-319-11964-9_7)) ([issue 28](https://github.com/elixir-europe/BioHackathon-projects-2019/issues/28))
- Expand integration of BridgeDb for workflow systems (Galaxy and/or KNIME) ([issue 29](https://github.com/elixir-europe/BioHackathon-projects-2019/issues/29))
- BridgeDb application to create link sets from [Bioschemas](https://bioschemas.org/) (MolecularEntity) annotation ([issue 30](https://github.com/elixir-europe/BioHackathon-projects-2019/issues/30))
- Faster identifier mapping (with Apache Derby replacement) ([issue 31](https://github.com/elixir-europe/BioHackathon-projects-2019/issues/31))
- ID mapping data exchange using nanopublications, allowing explicit provenance being stored ([issue 32](https://github.com/elixir-europe/BioHackathon-projects-2019/issues/32))
- Compact Identifiers support  ([issue 33](https://github.com/elixir-europe/BioHackathon-projects-2019/issues/33))

## Expected audience

- ELIXIR Core Resource representations (mapping need and mapping providers)
- Semantic Web and interoperability experts
- Technicians with knowledge of Docker and/or OpenAPI
- Workflow developers (Galaxy, KNIME, CWL)
- Java developers

**Number of expected hacking days**: 4

